Status: Closed Start date: Feb 14, 2018

Priority: High Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: DataMiner Service - Error   

Infrastructure: Production   

Description

Error misaligned algorithms in Proto Cluster.

For example the algorithm MPA_INTERSECT_V4_1 has been published in

/d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab

at Wed Feb 14 08:34:15 UTC 2018

The installation is correct on svn.

The algorithm has been installed in:

dataminer0-proto

dataminer2-proto

dataminer3-proto

dataminer4-proto

 but it has not been installed in:

dataminer1-proto

dataminer5-proto

 The problem may be due to access to svn made by the DataMiner update script. Perhaps a solution could be to launch the script at

different times for the individual machines reducing the possibility of conflict.

History

#1 - Feb 14, 2018 11:32 AM - Giancarlo Panichi

- Priority changed from Normal to High

#2 - Feb 14, 2018 11:51 AM - Andrea Dell'Amico

- Status changed from New to In Progress

No, it's the same problem: the lock file inhibits subsequent runs of the algorithm installer script.

The check seems correct to me, but it's only effective if I run the script itself with bash -x.

I'll do some other tests and then provide a fix.

#3 - Feb 14, 2018 12:48 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

This time the script should have been fixed properly.

If not, check if a file named /home/gcube/wps_algorithms_install_log/.algorithms_updater.lock exists, and when it was created.

#4 - Feb 14, 2018 03:09 PM - Giancarlo Panichi

It seems that now it is working, two algorithms have been published on all the machines successfully.

#5 - Feb 17, 2018 01:32 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
